Skip to content
Proud to collaborate with Microsoft for Startups

docusign.signing-group-users.delete-signing-group-users ​

Deletes one or more members from the specified signing group.

Deletes one or more members from a signing group.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
signinggroupidstringYes—The ID of the signing group. Note: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, Docusign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy.
userslistNo—User management information.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
signinggroupidstringYes—The ID of the signing group. Note: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, Docusign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy.
userslistNo—User management information.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call DELETE /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform DELETE /v2.1/accounts/{accountId}/signing_groups/{signingGroupId}/users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.signing-group-users.delete-signing-group-users",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "signinggroupid": "value"
  }
}